sc::DescribedClass(3)

NAME
sc::DescribedClass -

Classes which need runtime information about themselves and their relationship to other classes can virtually inherit from DescribedClass.

SYNOPSIS

#include <class.h>

Inherits sc::RefCount.

Inherited by sc::AnimatedObject, sc::Appearance, sc::BEMSolvent, sc::DescribedClassProxy, sc::DiagSCMatrix, sc::FileGrp, sc::GlobalMsgIter, sc::IntegralStorer, sc::MachineTopology, sc::Material, sc::MemoryGrp, sc::MessageGrp, sc::MoleculeColorizer, sc::PsiExEnv, sc::RegionTimer, sc::Render, sc::RenderedObject, sc::SavableState, sc::SCMatrix, sc::SCMatrixKit, sc::SCVector, sc::StateIn, sc::StateOut, sc::SymmSCMatrix, sc::ThreadGrp, sc::Transform, sc::TriangleIntegrator, and sc::TriangulatedSurface.

  Public Member Functions
DescribedClass (const DescribedClass &)
DescribedClass & operator= (const DescribedClass &)
ClassDesc * class_desc () const throw ()
This returns the unique pointer to the ClassDesc corresponding to the given type_info object.
const char * class_name () const
Return the name of the object's exact type.
int class_version () const
Return the version of the class.
virtual void print (std::ostream &=ExEnv::out0()) const
Print the object.

  Additional Inherited Members

Detailed Description

Classes which need runtime information about themselves and their relationship to other classes can virtually inherit from DescribedClass. This will provide the class with the ability to query its name and its version. Furthermore, the class's static ClassDesc can be obtained which permits several other operations. See class for more information.

Member Function Documentation

  ClassDesc* sc::DescribedClass::class_desc () const throw ()

This returns the unique pointer to the ClassDesc corresponding to the given type_info object. Null is returned if it fails.

Author

Generated automatically by Doxygen for MPQC from the source code.